Skip to main content
GET
/
webhook-requests
/
{id}
Retrieve webhook request
curl --request GET \
  --url https://api.syntage.com/webhook-requests/{id} \
  --header 'X-API-Key: <api-key>'
{
  "@context": "/contexts/WebhookRequest",
  "@id": "/webhook-requests/91106968-1abd-4d64-85c1-4e73d96fb997",
  "@type": "WebhookRequest",
  "id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
  "webhookEndpoint": {
    "@id": "/webhook-endpoints/91106968-1abd-4d64-85c1-4e73d96fb997",
    "@type": "WebhookEndpoint",
    "id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
    "url": "https://example.com/webhooks/syntage",
    "signingSecret": "54471a278d46c86ec6cd365983552a28",
    "events": [
      "extraction.updated",
      "invoice.created"
    ],
    "enabled": true,
    "contentType": "application/ld+json",
    "createdAt": "2020-01-01T12:15:00.000Z",
    "updatedAt": "2020-01-01T12:15:00.000Z"
  },
  "url": "https://example.com/webhooks/syntage",
  "responseStatusCode": 200,
  "responseTime": 0.21983,
  "createdAt": "2020-01-01T12:15:00.000Z",
  "updatedAt": "2020-01-01T12:15:00.000Z"
}

Authorizations

X-API-Key
string
header
required

Your API key is available in the Production and Sandbox dashboards.

Path Parameters

id
string<uuid>
required

Response

Webhook request resource response

@context
string
default:/contexts/WebhookRequest
@id
string<iri-reference>

Webhook request IRI

Example:

"/webhook-requests/91106968-1abd-4d64-85c1-4e73d96fb997"

@type
string
default:WebhookRequest
id
string<uuid>
Example:

"e0a24894-7fbf-48ae-bfb0-efaae30a6319"

webhookEndpoint
object

Webhook endpoint that received the delivery attempt

url
string<url>

Endpoint URL used for the delivery attempt

Example:

"https://example.com/webhooks/syntage"

responseStatusCode
integer

HTTP status code returned by the endpoint, or 0 when Syntage did not receive a response

Example:

200

responseTime
number

Delivery response time in seconds

Example:

0.21983

createdAt
string

Date and time the resource was created

Example:

"2020-01-01T12:15:00.000Z"

updatedAt
string

Date and time the resource was last updated

Example:

"2020-01-01T12:15:00.000Z"